curl https://api.getversive.com/api/v1/interviews/5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"id": "<string>",
"status": "<string>",
"link": "<string>",
"vid": "<string>",
"metadata": {},
"transcript": {},
"conversation_json": {},
"parsed_conversation_json": {},
"progress": 123,
"language": "<string>",
"title": {},
"notes": {},
"started_at": {},
"ended_at": {},
"completed_at": {},
"active_time": {},
"recording_id": {},
"type": "<string>",
"is_mock": true,
"is_archived": true,
"created_at": "<string>"
}Interviews
Get interview
Fetch an interview, including transcript and status
GET
/
interviews
/
{id}
curl https://api.getversive.com/api/v1/interviews/5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"id": "<string>",
"status": "<string>",
"link": "<string>",
"vid": "<string>",
"metadata": {},
"transcript": {},
"conversation_json": {},
"parsed_conversation_json": {},
"progress": 123,
"language": "<string>",
"title": {},
"notes": {},
"started_at": {},
"ended_at": {},
"completed_at": {},
"active_time": {},
"recording_id": {},
"type": "<string>",
"is_mock": true,
"is_archived": true,
"created_at": "<string>"
}Fetches an interview created via the API.
string
required
The interview ID.
Response
string
string
open, in_progress, paused, processing, closed (complete), screened_out, or canceled.string
The participant link (empty if none).
string
The participant link token.
object
Your metadata from creation.
string | null
The interview transcript.
object[] | null
The conversation as
{ role, content } messages.object | null
Structured per-question responses.
integer
Completion progress.
string
string | null
string | null
string | null
Timestamp of the first message.
string | null
Timestamp of the last message.
string | null
number | null
Active participation time.
string | null
string
Always
VERSIVE for API-accessible interviews.boolean
Whether this is a simulated interview.
boolean
string
curl https://api.getversive.com/api/v1/interviews/5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f \
-H "Authorization: Bearer $VERSIVE_API_KEY"